﻿Public Class fTimer
    'globale Eigenschaften - werden durch Aufrufsub übergeben
    Public Zeit As Integer
    Public Ziehen As Boolean
    'Form Load Event
    Private Sub fTimer_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Immer im Vordergrund aus den Settings lesen
        Me.TopMost = My.Settings.Vordergrund
        'Form unten rechts Positionieren
        Me.Top = My.Computer.Screen.WorkingArea.Size.Height - Me.Height
        Me.Left = My.Computer.Screen.WorkingArea.Size.Width - Me.Width
        'Auslesen ob Tee zieht, oder Wasser abkühlt
        If Ziehen = True Then
            lblInfo.Text = "Tee zieht"
        Else
            lblInfo.Text = "Wasser kühlt ab"
        End If
        'umwandeln der Zeit in Sekunden in Minuten/Sekunden für Textboxen
        If Zeit >= 60 Then
            lblMinuten.Text = (Zeit \ 60).ToString
            lblSekunden.Text = (Zeit Mod 60).ToString
        Else
            lblSekunden.Text = Zeit.ToString
        End If
        Tmrrunterzaehlen.Start()
    End Sub
    'Klick Events - Buttons
    Private Sub btnAbbruch_Click(sender As Object, e As EventArgs) Handles btnAbbruch.Click
        Tmrrunterzaehlen.Stop()
        Tmrhochzaehlen.Stop()
        Me.Close()
    End Sub
    'Timer Tick Events
    Private Sub Tmrrunterzaehlen_Tick(sender As Object, e As EventArgs) Handles Tmrrunterzaehlen.Tick
        'Zeit Sekundenweise runterzählen
        Zeit = Zeit - 1
        'restliche Zeit in Label anzeigen
        lblMinuten.Text = (Zeit \ 60).ToString
        lblSekunden.Text = (Zeit Mod 60).ToString
        If Zeit = 0 Then
            'wenn Zeit 0 ist, zweiten Timer (hochzählen) starten
            Tmrrunterzaehlen.Stop()
            Tmrhochzaehlen.Start()
            'Form grün färben
            Me.BackColor = Color.Green
            btnAbbruch.BackColor = Color.Green
            lblInfo.BackColor = Color.Green
            'Timerabschlusssub starten
            If Ziehen = False Then
                Timerfertig("Wasser bereit.", " Bitte Tee hinzugeben.")
            Else
                Timerfertig("Tee fertig")
            End If
        End If
    End Sub
    Private Sub Tmrhochzaehlen_Tick(sender As Object, e As EventArgs) Handles Tmrhochzaehlen.Tick
        lblSekunden.Text = (Integer.Parse(lblSekunden.Text) + 1).ToString
    End Sub
    'Subs und Funktionen
    Private Sub Timerfertig(Meldung As String, Optional Meldung2 As String = Nothing)
        'Sub für Aktionen nach abgeschlossenem Tmrrunterzaehlen
        btnAbbruch.Text = Meldung
        If MessageBox.Show(Meldung & Meldung2, Meldung, MessageBoxButtons.OK,
                   MessageBoxIcon.Information) = Windows.Forms.DialogResult.OK Then
            Tmrhochzaehlen.Stop()
            Me.Close()
        End If
    End Sub
End Class